[Piuparts-commits] [SCM] piuparts git repository branch, develop, updated. 0.45-74-gac51d65

Andreas Beckmann debian at abeckmann.de
Sat Jul 21 15:56:23 UTC 2012


The following commit has been merged in the develop branch:
commit 9265c531b6bf3704d0e11c2c0ccbf7fdaf228b9d
Author: Andreas Beckmann <debian at abeckmann.de>
Date:   Fri Jul 20 17:12:20 2012 +0200

    reclassify_bugged: move bugged/*.log to fail/ and analyze again
    
    New script to redo the bugged classification without rescheduling
    the packages. Move logs from bugged/ to fail/ and run
    piuparts-analyze again.
    
    Do not run from cron (except, perhaps, monthly).
    
    Signed-off-by: Andreas Beckmann <debian at abeckmann.de>

diff --git a/debian/changelog b/debian/changelog
index fa1a5b1..8c75151 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -36,6 +36,7 @@ piuparts (0.46) UNRELEASED; urgency=low
   * Makefile:
     - Separate build and install targets.
     - Adjust for new layout, cleanup, simplify.
+  * New helper script: master-bin/reclassify_bugged.
 
  -- Holger Levsen <holger at debian.org>  Thu, 21 Jun 2012 22:25:57 +0200
 
diff --git a/master-bin/report_newly_bugged_packages b/master-bin/reclassify_bugged
similarity index 75%
copy from master-bin/report_newly_bugged_packages
copy to master-bin/reclassify_bugged
index 57c76b9..6d8a2a2 100755
--- a/master-bin/report_newly_bugged_packages
+++ b/master-bin/reclassify_bugged
@@ -1,6 +1,7 @@
 #!/bin/sh
+set -e
 
-# Copyright © 2011 Andreas Beckmann <debian at abeckmann.de>
+# Copyright © 2012 Andreas Beckmann <debian at abeckmann.de>
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the
@@ -38,23 +39,16 @@ get_config_value()
 
 get_config_value MASTER global master-directory
 get_config_value SECTIONS global sections
-get_config_value PIUPARTS_PREFIX global prefix /org/piuparts.debian.org
-get_config_value DEBEMAIL global bts-from
 
 
-export PYTHONPATH=$PIUPARTS_PREFIX/lib/python2.6/dist-packages:$PIUPARTS_PREFIX/lib/python2.7/dist-packages
-
 OLDPWD=$(pwd)
-OUTPUT=$(mktemp)
 for SECTION in $SECTIONS ; do
-	test -d $MASTER/$SECTION || continue
+	get_config_value KEEP_BUGGED $SECTION keep-bugged no
+	if [ "$KEEP_BUGGED" = "no" ] && [ -d $MASTER/$SECTION/fail ] && [ -d $MASTER/$SECTION/bugged ]; then
 		cd $MASTER/$SECTION
-		$PIUPARTS_PREFIX/share/piuparts/piuparts-analyze 2>&1 > $OUTPUT
-		if [ -s $OUTPUT ]; then
-			echo $SECTION
-			cat $OUTPUT
-			echo
-		fi
+		mv bugged/*.log bugged/*.bug fail/ 2>/dev/null
+		mv affected/*.log affected/*.bug fail/ 2>/dev/null
 		cd "$OLDPWD"
+	fi
 done
-rm $OUTPUT
+~/bin/report_newly_bugged_packages

-- 
piuparts git repository



More information about the Piuparts-commits mailing list